TULISAN - Feature #3561

Invoice ingin bisa otomatis kirim by e-mail ke Customer
04/14/2025 10:55 AM - haykal haykal

Status: Closed Start date: 04/14/2025
Priority: High Due date: 04/22/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 14.00 hours
Description

Dear Shofwan, ada request dari Tulisan agar Invoicenya bisa otomatis terkirim by e-mail ke Customer.

Membaca alamat e-mailnya dari field E-Mail yang ada di Customer Master Data, atau kalau misalnya dia pakai Guest berarti

membaca dari alamat e-mail yang diisikan di field Guest Email.

Jadi nanti kalau Order Submitted akan otomatis mengirim attachment Invoice by e-mail ke e-mail Customer.

Terimakasih.

Web: https://tulisan-ecommerce-dev.minovais.com/ECommerce_AddToBasket
Port: https:/tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (di 89)

History

#1 - 04/14/2025 11:58 AM - Kezia Pawitra Yulianti
- Due date set to 04/22/2025
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 04/22/2025 03:14 PM - shofwan shiddiq

- File clipboard-202504221505-ewvy5.png added

- File clipboard-202504221506-cnapq.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Dear Haykal, email sudah berhasil tergenerate ya setelah submit dokumen ke email customer
https://tulisan-ecommerce-dev.minovais.com/ECommerce_AddToBasket
https://tulisan-dev.minovais.com/

Payment Method

Order Submitted

Document Number: 00000597
Customer: Hania
Darmawangsa Square Store, Jakarta
hello@tulisan.com | +62 21 7278 0235

TULISAN.COM

Transaction ID No 00000597
Personal Shopper shofwan
Customer Name : Hania

Date/Time 120250422/ 1505
Shipping Address - JI. Lengkong

qQry ITEM PRICE

1 GBO0003-Y-S Rp.850.000
AMA-BUNDLING-2 (10%) (Rp.85.000

SUBTOTAL Rp.850.000
DISCOUNT (Rp.85.000)
SHIPPING & DELIVERY Rp.5.000

TOTAL Rp.770.000

CASHLESS PAYMENT Rp.770.000
Business Flow
1. email akan terkirim ke email customer di master data customer field email

Tahap Deployment
1. Buat folder receipt di folder ECommerce untuk menyimpan pdf di applikasi
2. Install NodedS, Chrome, dan Puppeteer

npm install puppeteer

07/02/2025 2/5



Package

Applikasi

C:\Webserver\Tulisan_Dev\E-Commerce\Scripts\generate-pdf.js \\ puppeteer config ( harus di adjust apabila deploy ke app lain)
C:\Webserver\Tulisan_Dev\E-Commerce\Receipt.html
C:\WebservenTulisan_Dev\E-Commerce\ECommerce_ReceiptFrame.html

dll
MinovalS.MinovaES.Web.UIl.ERec.dll
Select.HtmIToPdf.dll

#3 - 05/08/2025 11:16 AM - haykal haykal
- File Test E-mail Guest blm bisa.png added
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddiq

Dear Shofwan,
Tadi gua coba untk e-mail yg diisi disini (foto diattach) blm bisa ya. Tolong agar utk yg diisi di field Guest Email itu bisa berfungsi juga.
Contoh DocNo SORD yg tadi gua coba: 00000717

Terimakasih.

#4 - 05/19/2025 06:36 PM - shofwan shiddiq

- File clipboard-202505191834-xweoy.png added
- File clipboard-202505191834-qvwxj.png added
- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

¢ Notes Developer
ada perubahan settingan di pc vps karena ada update otomatis chrome per tangal 14 Mei 2025 yang membuat email tidak berhasil terkirim sejak
update chrome
Solusi nya Setting
1IS > Application Pool > MinovaES_Tulisan_ECommerceDev > Advanced Setting > Identity > Set LoadUserProfile to true

Dear Haykal, untuk kirim email sekarang juga sudah bisa untuk guest ya, dengan mengisi alamat email yang ingin dikirimkan.

Ini saya sudah test membuat dokumen dengan customer ID guest
Payment Method

Order Submitted

Document Number: 00000816
Customer: Kevin De Bruyne

Dan email diterima di alamat email yang sebelumnya diisi di free text
Silahkan di testing, jangan lupa refresh page checkout nya terlebih dahulu untuk menghindari bug
#5 - 05/21/2025 09:53 AM - haykal haykal
- Status changed from QA Test to Closed
